# useGetEscrowFromIndexerByContractIds

## Uso

Este hook personalizado expone una función para obtener los escrows que estás buscando.

{% code overflow="wrap" %}

```typescript
import { useGetEscrowFromIndexerByContractIds } from "@trustless-work/escrow/hooks";
import { GetEscrowFromIndexerByContractIdsParams } from "@trustless-work/escrow/types";

/*
 *  useGetEscrowFromIndexerByContractIds
*/
const { getEscrowByContractIds } = useGetEscrowFromIndexerByContractIds();

/* 
 * Devuelve el escrow que estás buscando
 * el payload debe ser del tipo `GetEscrowFromIndexerByContractIdsParams`
*/
await getEscrowByContractIds(payload);
```

{% endcode %}

### Función

* `getEscrowByContractIds` \
  Responsable de construir y devolver datos basados en el payload proporcionado.

*Argumento:*

`GetEscrowFromIndexerByContractIdsParams`: Un objeto que contiene los campos requeridos para obtener los escrows.

{% content-ref url="/pages/76ddbad2be0ccc209d4a63485a8efd2c7e7605bc" %}
[Obtener escrows por ID de contrato](/trustless-work/v1-es/introduccion/developer-resources/tipos/cargas-utiles/obtener-escrows-por-id-de-contrato.md)
{% endcontent-ref %}

*Valor de retorno:*

`escrows`: Los escrows que estás buscando.

***

## Ejemplo de usoFormulario

{% code title="src/hooks/useGetEscrowFromIndexerByContractIds.ts" overflow="wrap" %}

```typescript
import {
  useGetEscrowFromIndexerByContractIds,
} from "@trustless-work/escrow/hooks";
import {
  GetEscrowFromIndexerByContractIdsParams, 
} from "@trustless-work/escrow/types";

export const useGetEscrowFromIndexerByContractIdsForm = () => {

 /*
  *  useGetEscrowFromIndexerByContractIds
 */
 const { getEscrowByContractIds } = useGetEscrowFromIndexerByContractIds();

/*
 * función onSubmit, esto podría ser llamado por el botón del formulario
*/
 const onSubmit = async (payload: GetEscrowFromIndexerByContractIdsParams) => {

    try {
      /**
       * Llamada a la API usando los hooks de trustless work
       * @Nota:
       * - Necesitamos pasar el payload a la función getEscrowByContractIds
       * - El resultado serán escrows
      */
      const escrows = await getEscrowByContractIds(payload);
      
      if (!escrows) {
        throw new Error("Escrows not found");
      }

      /**
       * @Respuestas:
       * escrows !== null
       * - Escrows recibidos con éxito
       * - Mostrar un toast de éxito
       *
       * escrows === null
       * - Mostrar un toast de error
       */
      if (escrows) {
        toast.success("Escrows Received");
      }
    } catch (error: unknown) {
      // lógica para capturar errores
    }
  };
}

```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.trustlesswork.com/trustless-work/v1-es/escrow-react-sdk/indexer/usegetescrowfromindexerbycontractids.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
